#include <iostream>
using namespace std;

int main()
{

    ios_base::sync_with_stdio(false); cin.tie(0);
    int a,b,x,y;
    cin >> a >> b >> x >> y; // 1 2 1 0
    if(a==x)
    {
        if(b==y)
            cout << "nijedan";
        else
            cout << "drugi";
    }
    else
    {
        if(b==y)
            cout << "prvi";
        else
            cout << "?";
    }
    return 0;
}